/**
*.Name      get_nmcb
*
*.Title     Получить адрес следующего MCB
*
*.Descr     Функция возвращает адрес следующего блока MCB
*           или 0, если это последний блок. В качестве
*           параметра используется указатель на предыдущий
*           блок MCB
*
*.Proto     MCB far *get_fmcb(MCB far *mcb)
*
*.Params       mcb - адрес предыдущего MCB
*
*.Return    Указатель на следующий блок MCB или 0, если
*           это последний MCB
*
*.Sample    show_mcb.c
**/

#include <dos.h>
#include "sysp.h"

MCB far *get_nmcb(MCB far *mcb) {

	unsigned seg, off;

	if(mcb->type == 'M') {
		seg = FP_SEG(mcb) + mcb->size + 1;
		off = FP_OFF(mcb);

		return((MCB far *)FP_MAKE(seg,off));
	}
	else return ((MCB far *)0);

}
